Bug 729200 - Review Request: libzypp - Package, Patch, Pattern, and Product Management
Review Request: libzypp - Package, Patch, Pattern, and Product Management
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
: 447738 (view as bug list)
Depends On: 729199
Blocks: 729201 729203
  Show dependency treegraph
 
Reported: 2011-08-08 23:02 EDT by T.C. Hollingsworth
Modified: 2011-08-19 06:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-19 06:47:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2011-08-08 23:02:58 EDT
Spec URL: http://www.u.arizona.edu/~tchol/fedora/libzypp.spec
SRPM URL: http://www.u.arizona.edu/~tchol/fedora/libzypp-9.10.1-1.fc15.src.rpm
Description: Package, Patch, Pattern, and Product Management

(previous review in bug447738 failed due to now fixed RPM incompatibilities)
Comment 1 Susi Lehtola 2011-08-09 06:04:35 EDT
*** Bug 447738 has been marked as a duplicate of this bug. ***
Comment 2 T.C. Hollingsworth 2011-08-09 08:34:27 EDT
$ rpmlint SPECS/libzypp.spec 
SPECS/libzypp.spec:20: W: macro-in-comment %{version}
SPECS/libzypp.spec:167: W: macro-in-%changelog %3AFactory
SPECS/libzypp.spec:167: W: macro-in-comment %3AFactory
SPECS/libzypp.spec: W: invalid-url Source0: libzypp-9.10.1.tar.bz2
0 packages and 1 specfiles checked; 0 errors, 4 warnings.

$ rpmlint SRPMS/libzypp-9.10.1-1.fc15.src.rpm 
libzypp.src:20: W: macro-in-comment %{version}
libzypp.src:167: W: macro-in-%changelog %3AFactory
libzypp.src:167: W: macro-in-comment %3AFactory
libzypp.src: W: invalid-url Source0: libzypp-9.10.1.tar.bz2
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
Comment 3 T.C. Hollingsworth 2011-08-09 08:47:26 EDT
Sorry, that should have been on the binary RPM.

$ rpmlint RPMS/x86_64/libzypp-9.10.1-1.fc15.x86_64.rpm 
libzypp.x86_64: E: explicit-lib-dependency libzypp-config
libzypp.x86_64: E: incoherent-logrotate-file /etc/logrotate.d/libzypp.lr
libzypp.x86_64: W: no-manual-page-for-binary package-manager-su
libzypp.x86_64: W: no-manual-page-for-binary package-manager
libzypp.x86_64: W: no-manual-page-for-binary zypp-CheckAccessDeleted
1 packages and 0 specfiles checked; 2 errors, 3 warnings.

$ rpmlint RPMS/x86_64/libzypp-devel-9.10.1-1.fc15.x86_64.rpm 
libzypp-devel.x86_64: E: incorrect-fsf-address
/usr/include/zypp/solver/detail/ProblemSolutionCombi.h
libzypp-devel.x86_64: E: incorrect-fsf-address
/usr/include/zypp/solver/detail/Helper.h
libzypp-devel.x86_64: E: incorrect-fsf-address /usr/include/zypp/ProblemTypes.h
libzypp-devel.x86_64: E: incorrect-fsf-address
/usr/include/zypp/solver/detail/Types.h
libzypp-devel.x86_64: E: incorrect-fsf-address
/usr/include/zypp/solver/detail/SolverQueueItem.h
libzypp-devel.x86_64: E: incorrect-fsf-address
/usr/include/zypp/solver/detail/SolverQueueItemInstall.h
libzypp-devel.x86_64: E: incorrect-fsf-address
/usr/include/zypp/solver/detail/Resolver.h
libzypp-devel.x86_64: E: incorrect-fsf-address
/usr/include/zypp/solver/detail/ProblemSolutionIgnore.h
libzypp-devel.x86_64: E: incorrect-fsf-address
/usr/include/zypp/solver/detail/SolverQueueItemDelete.h
libzypp-devel.x86_64: E: incorrect-fsf-address
/usr/include/zypp/solver/detail/InstallOrder.h
libzypp-devel.x86_64: E: incorrect-fsf-address
/usr/include/zypp/solver/detail/SATResolver.h
libzypp-devel.x86_64: E: incorrect-fsf-address
/usr/include/zypp/solver/detail/SolverQueueItemUpdate.h
libzypp-devel.x86_64: E: incorrect-fsf-address
/usr/include/zypp/solver/detail/SolverQueueItemInstallOneOf.h
libzypp-devel.x86_64: E: incorrect-fsf-address
/usr/include/zypp/solver/detail/SolverQueueItemLock.h
1 packages and 0 specfiles checked; 14 errors, 0 warnings.
Comment 4 T.C. Hollingsworth 2011-08-09 22:32:33 EDT
Some fixes based on Miroslav Suchý's advice in bug729199.

Spec: http://www.u.arizona.edu/~tchol/fedora/libzypp.spec
SRPM: http://www.u.arizona.edu/~tchol/fedora/libzypp-9.10.1-2.fc15.src.rpm

$ rpmlint SPECS/libzypp.spec 
SPECS/libzypp.spec: W: invalid-url Source0: libzypp-9.10.1.tar.bz2
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint RPMS/x86_64/libzypp-9.10.1-2.fc15.x86_64.rpm 
libzypp.x86_64: E: explicit-lib-dependency libzypp-config
libzypp.x86_64: W: spelling-error %description -l en_US ZYpp -> Zippy
libzypp.x86_64: W: spelling-error %description -l en_US zypper -> zipper, zapper, gypper
libzypp.x86_64: W: spelling-error %description -l en_US convienent -> convenient, convention, continent
libzypp.x86_64: W: spelling-error %description -l en_US repomd -> reported
libzypp.x86_64: W: spelling-error %description -l en_US susetags -> metatarsus
libzypp.x86_64: W: invalid-url URL: http://en.opensuse.org/Portal:Libzypp <urlopen error [Errno -2] Name or service not known>
libzypp.x86_64: E: incoherent-logrotate-file /etc/logrotate.d/libzypp.lr
libzypp.x86_64: W: no-manual-page-for-binary package-manager-su
libzypp.x86_64: W: no-manual-page-for-binary package-manager
libzypp.x86_64: W: no-manual-page-for-binary zypp-CheckAccessDeleted
1 packages and 0 specfiles checked; 2 errors, 9 warnings.

$ rpmlint RPMS/x86_64/libzypp-devel-9.10.1-2.fc15.x86_64.rpm 
libzypp-devel.x86_64: W: spelling-error %description -l en_US zyPP -> zippy
libzypp-devel.x86_64: W: spelling-error %description -l en_US zypper -> zipper, zapper, gypper
libzypp-devel.x86_64: W: spelling-error %description -l en_US convienent -> convenient, convention, continent
libzypp-devel.x86_64: W: spelling-error %description -l en_US repomd -> reported
libzypp-devel.x86_64: E: incorrect-fsf-address /usr/include/zypp/solver/detail/ProblemSolutionCombi.h
libzypp-devel.x86_64: E: incorrect-fsf-address /usr/include/zypp/solver/detail/Helper.h
libzypp-devel.x86_64: E: incorrect-fsf-address /usr/include/zypp/ProblemTypes.h
libzypp-devel.x86_64: E: incorrect-fsf-address /usr/include/zypp/solver/detail/Types.h
libzypp-devel.x86_64: E: incorrect-fsf-address /usr/include/zypp/solver/detail/SolverQueueItem.h
libzypp-devel.x86_64: E: incorrect-fsf-address /usr/include/zypp/solver/detail/SolverQueueItemInstall.h
libzypp-devel.x86_64: E: incorrect-fsf-address /usr/include/zypp/solver/detail/Resolver.h
libzypp-devel.x86_64: E: incorrect-fsf-address /usr/include/zypp/solver/detail/ProblemSolutionIgnore.h
libzypp-devel.x86_64: E: incorrect-fsf-address /usr/include/zypp/solver/detail/SolverQueueItemDelete.h
libzypp-devel.x86_64: E: incorrect-fsf-address /usr/include/zypp/solver/detail/InstallOrder.h
libzypp-devel.x86_64: E: incorrect-fsf-address /usr/include/zypp/solver/detail/SATResolver.h
libzypp-devel.x86_64: E: incorrect-fsf-address /usr/include/zypp/solver/detail/SolverQueueItemUpdate.h
libzypp-devel.x86_64: E: incorrect-fsf-address /usr/include/zypp/solver/detail/SolverQueueItemInstallOneOf.h
libzypp-devel.x86_64: E: incorrect-fsf-address /usr/include/zypp/solver/detail/SolverQueueItemLock.h
1 packages and 0 specfiles checked; 14 errors, 4 warnings.
Comment 5 T.C. Hollingsworth 2011-08-19 06:47:02 EDT
libzypp currently doesn't find noarch and multiarch packages on Fedora, and upstream is being totally unresponsive on the issue, so I'm closing this for now.

I'll delete the SRPMS to save my consistently close disk quota but I'll leave the specs up for future contributors interested in packaging this.

Note You need to log in before you can comment on or make changes to this bug.